
QGIS Application - Bug report #16130

WFS Duplicate Features

2017-01-29 02:31 PM - colin east

Status: Closed

Priority: Normal

Assignee:

Category: Unknown

Affected QGIS version:2.18.2 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 24042

Description

I'm using a WFS served by Geoserver 2.7.0. I have one layer that has an ID that is unique. The IDs range from 1 to 48. If I use ArcGIS

10.4 Interoperability extension, QGIS 2.6.0 or QGIS 2.18.0 then I get the correct number of features. If I use 2.18.3 running on Windows

10 then I get twice the number of records. It seems the request is made twice and I get one record set appended to another.

History

#1 - 2017-02-16 08:35 PM - colin east

- % Done changed from 0 to 100

- Status changed from Open to Closed

This issue was with the geoserver WFS setting, which were not server persistent FIDs.

#2 - 2017-09-22 09:54 AM - Jürgen Fischer

- Category set to Unknown
